Queue - Delete
刪除具有指定佇列名稱的佇列,在指定的帳戶下 (如果存在)。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/queueServices/default/queues/{queueName}?api-version=2025-08-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 3maxLength: 24 pattern: ^[a-z0-9]+$ |
指定資源群組內的記憶體帳戶名稱。 儲存體帳戶名稱長度必須介於 3 到 24 個字元之間,且只能使用數位和小寫字母。 |
|
queue
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z0-9]([a-z0-9]|(-(?!-))){1,61}[a-z0-9]$ |
佇列名稱在儲存體帳戶內必須是唯一的,而且必須介於 3 到 63 個字元之間。名稱必須僅包含小寫英數字元和破折號 (-) 字元,它應該以英數字元開頭和結尾,而且不能有兩個連續的破折號 (-) 字元。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 204 No Content |
資源不存在。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
QueueOperationDelete
範例要求
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res3376/providers/Microsoft.Storage/storageAccounts/sto328/queueServices/default/queues/queue6185?api-version=2025-08-01
範例回覆
定義
| 名稱 | Description |
|---|---|
|
Cloud |
記憶體服務的錯誤回應。 |
|
Cloud |
記憶體服務的錯誤回應。 |
CloudError
記憶體服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
記憶體服務的錯誤回應。 |
CloudErrorBody
記憶體服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。 |
| details |
錯誤的其他詳細數據清單。 |
|
| message |
string |
描述錯誤的訊息,適用於在使用者介面中顯示。 |
| target |
string |
特定錯誤的目標。 例如,錯誤中的屬性名稱。 |